cURL
curl --request POST \ --url https://integrations.clopos.com/open-api/receipts \ --header 'Content-Type: application/json' \ --header 'x-brand: <api-key>' \ --header 'x-token: <api-key>' \ --header 'x-venue: <api-key>' \ --data ' { "cid": "<string>", "payment_methods": [ { "id": 123, "name": "<string>", "amount": 123 } ], "subtotal": 123, "total": 123 } '
{ "success": true, "data": { "id": 123, "venue_id": 123, "cash_shift_cid": "<string>", "cid": "<string>", "user_id": 123, "open_by_user_id": 123, "close_by_user_id": 123, "courier_id": 123, "seller_id": 123, "terminal_id": 123, "source": "<string>", "closed_terminal_id": 123, "service_notification_id": 123, "table_id": 123, "hall_id": 123, "customer_id": 123, "sale_type_id": 123, "is_returns": true, "guests": 123, "status": 123, "lock": true, "inventory_status": 123, "report_status": 123, "meta": { "preprint_count": 123, "sale_type": { "name": "<string>" }, "user": { "name": "<string>" }, "terminal_updated_at": 123, "availiableDeposit": 123, "check_close_event": { "checked": true, "operated_at": "<string>", "fails": [ "<unknown>" ] } }, "suspicion": 123, "printed": true, "total": 123, "subtotal": 123, "original_subtotal": 123, "gift_total": 123, "totalCost": 123, "payment_methods": [ { "id": 123, "name": "<string>", "amount": 123 } ], "fiscal_id": "<string>", "by_cash": 123, "by_card": 123, "remaining": 123, "discount_type": 123, "discount_value": 123, "discount_rate": 123, "rps_discount": 123, "service_charge": 123, "service_charge_value": 123, "i_tax": 123, "delivery_fee": 123, "e_tax": 123, "total_tax": 123, "description": "<string>", "address": "<string>", "terminal_version": "<string>", "loyalty_type": "<string>", "loyalty_value": 123, "order_status": "<string>", "order_number": "<string>", "created_at": "<string>", "updated_at": "<string>", "terminal_updated_at": "<string>", "closed_at": "<string>", "shift_date": "<string>", "deleted_at": "<string>", "gift_count": 123, "total_discount": 123, "properties": { "daily_id": 123, "monthly_id": 123 }, "receipt_products": [ { "id": 123, "cid": "<string>", "product_id": 123, "receipt_id": 123, "product_hash": "<string>", "meta": {}, "count": 123, "portion_size": 123, "total": 123, "price": 123, "cost": 123, "is_gift": true, "preprint_count": 123, "station_printed_count": 123, "station_aborted_count": 123, "seller_id": 123, "loyalty_type": "<string>", "loyalty_value": 123, "discount_rate": 123, "discount_value": 123, "discount_type": 123, "total_discount": 123, "subtotal": 123, "receipt_discount": 123, "created_at": "<string>", "updated_at": "<string>", "terminal_updated_at": "<string>", "deleted_at": "<string>", "receipt_product_modificators": [ "<unknown>" ], "taxes": [ "<unknown>" ] } ], "stock_operations": [ "<unknown>" ], "customer": {} }, "time": 123, "timestamp": "<string>", "unix": 123, "message": "<string>" }
Create a new receipt with payment details and products.
Access token obtained from /auth endpoint
Brand identifier
Venue identifier
Show child attributes
Receipt created successfully
Was this page helpful?